html, body {
	width: 100%;
	height: 100%;
}

canvas {
	display: block;
	vertical-align: bottom;
}

.count-particles {
	background: #000022;
	position: absolute;
	top: 48px;
	left: 0;
	width: 80px;
	color: #13E8E9;
	font-size: .8em;
	text-align: left;
	text-indent: 4px;
	line-height: 14px;
	padding-bottom: 2px;
	font-family: Helvetica, Arial, sans-serif;
	font-weight: bold;
}

.js-count-particles {
	font-size: 1.1em;
}

#stats,
.count-particles {
	-webkit-user-select: none;
	margin-top: 5px;
	margin-left: 5px;
}

#stats {
	border-radius: 3px 3px 0 0;
	overflow: hidden;
}

.count-particles {
	border-radius: 0 0 3px 3px;
}


#particles-js {
    width: 100%;
    height: 100%;
    position: relative;
    background-image: url('images/bg.png');
    background-position: 50% 50%;
    background-size: cover;
    background-repeat: no-repeat;
    margin-left: auto;
    margin-right: auto;
}

.sk-rotating-plane {
	display: none;
	width: 80px;
	height: 80px;
	margin: auto;
	background-color: white;
	-webkit-animation: sk-rotating-plane 1.2s infinite ease-in-out;
	animation: sk-rotating-plane 1.2s infinite ease-in-out;
	z-index: 1;
	position: absolute;
	top: 50%;
	left: 50%;
	margin-left: -40px;
	margin-top: -80px;
}

	.sk-rotating-plane.active {
		display: block;
	}

@keyframes sk-rotating-plane {
	0% {
		-webkit-transform: perspective(120px) rotateX(0deg) rotateY(0deg);
		transform: perspective(120px) rotateX(0deg) rotateY(0deg);
	}

	50% {
		-webkit-transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);
		transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);
	}

	100% {
		-webkit-transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
		transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
	}
}

@keyframes login-small {
	0% {
		transform: scale(1);
		-moz-transform: scale(1); /* Firefox 4 */
		-webkit-transform: scale(1); /* Safari 和 Chrome */
		-o-transform: scale(1); /* Opera */
		-ms-transform: scale(1); /* IE 9 */
	}

	100% {
		transform: scale(0.2);
		-moz-transform: scale(0.1); /* Firefox 4 */
		-webkit-transform: scale(0.2); /* Safari 和 Chrome */
		-o-transform: scale(0.1); /* Opera */
		-ms-transform: scale(0.1); /* IE 9 */
	}
}

@media (max-width: 768px) {
    
    .login {
        box-shadow: -15px 15px 15px rgba(6,17,47,.7);
        opacity: 0.8;
        top: 20px;
        -webkit-transition-timing-function: cubic-bezier(.68,-.25,.265,.85);
        -webkit-transition-property: -webkit-transform,opacity,box-shadow,top,left;
        transition-property: transform,opacity,box-shadow,top,left;
        -webkit-transition-duration: .5s;
        transition-duration: .5s;
        -webkit-transform-origin: 161px 100%;
        -ms-transform-origin: 161px 100%;
        transform-origin: 161px 100%;
        -webkit-transform: rotateX(0deg);
        transform: rotateX(0deg);
        position: absolute;
        right: 0;
        margin: auto;
        top: 0;
        bottom: 0;
        padding: 100px 40px 40px;
        background: #35394a;
        background: -webkit-gradient(linear,left bottom,right top,color-stop(0%,#35394a),color-stop(100%,rgb(0,0,0)));
        background: -webkit-linear-gradient(230deg,rgba(53,57,74,0) 0%,rgb(0,0,0) 100%);
        background: linear-gradient(230deg,rgba(53,57,74,0) 0%,rgb(0,0,0) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='rgba(53, 57, 74, 0)',endColorstr='rgb(0, 0, 0)',GradientType=1 );
         height: 320px;
    }
    .login-top {
        font-size: 24px;
        padding-left: 40px;
        box-sizing: border-box;
        color: #fff;
        margin-bottom: 52px;
    }

    .login-center {
        width: 100%;
        box-sizing: border-box;
        padding: 0 12px;
        margin-bottom: 30px;
    }

    .login-center-img {
        width: 20px;
        height: 20px;
        float: left;
        margin-top: 5px;
    }

        .login-center-img > img {
            width: 100%;
        }

    .login-center-input {
        float: left;
        width: 230px;
        margin-left: 15px;
        height: 30px;
        position: relative;
    }

        .login-center-input input {
            z-index: 2;
            transition: all 0.5s;
            padding-left: 10px;
            color: #333333;
            width: 100%;
            height: 30px;
            border: 0;
            border-bottom: 1px solid #cccccc;
            border-top: 1px solid #ffffff;
            border-left: 1px solid #ffffff;
            border-right: 1px solid #ffffff;
            box-sizing: border-box;
            outline: none;
            position: relative;
        }

            .login-center-input input:focus {
                border: 1px solid dodgerblue;
            }

    .login-center-input-text {
        padding: 0 5px;
        position: absolute;
        z-index: 0;
        opacity: 0;
        height: 20px;
        top: 50%;
        margin-top: -10px;
        font-size: 14px;
        left: 5px;
        color: dodgerblue;
        line-height: 20px;
        transition: all 0.5s;
        -moz-transition: all 0.5s; /* Firefox 4 */
        -webkit-transition: all 0.5s; /* Safari 和 Chrome */
        -o-transition: all 0.5s; /* Opera */
    }

    .login-center-input input:focus ~ .login-center-input-text {
        top: -5px;
        z-index: 3;
        opacity: 1;
        margin-top: -15px;
    }

    .login.active {
        -webkit-animation: login-small 0.8s;
        animation: login-small 0.8s;
        animation-fill-mode: forwards;
        -webkit-animation-fill-mode: forwards
    }

    .login-button {
        text-align: center;
    }
}
@media (min-width: 1200px) {
    .login {
        z-index: 2;
        position: absolute;
        width: 350px;
        border-radius: 5px;
        height: 320px;
        background: white;
        box-shadow: 0px 0px 5px #333333;
        transition: all 1s;
        -moz-transition: all 1s; /* Firefox 4 */
        -webkit-transition: all 1s; /* Safari 和 Chrome */
        -o-transition: all 1s; /* Opera */
        box-shadow: -15px 15px 15px rgba(6,17,47,.7);
        opacity: 0.8;
        top: 20px;
        -webkit-transition-timing-function: cubic-bezier(.68,-.25,.265,.85);
        -webkit-transition-property: -webkit-transform,opacity,box-shadow,top,left;
        transition-property: transform,opacity,box-shadow,top,left;
        -webkit-transition-duration: .5s;
        transition-duration: .5s;
        -webkit-transform-origin: 161px 100%;
        -ms-transform-origin: 161px 100%;
        transform-origin: 161px 100%;
        -webkit-transform: rotateX(0deg);
        transform: rotateX(0deg);
        position: absolute;
        right: 10%;
        margin: auto;
        top: 0;
        bottom: 0;
        padding: 100px 40px 40px;
        background: #35394a;
        background: -webkit-gradient(linear,left bottom,right top,color-stop(0%,#35394a),color-stop(100%,rgb(0,0,0)));
        background: -webkit-linear-gradient(230deg,rgba(53,57,74,0) 0%,rgb(0,0,0) 100%);
        background: linear-gradient(230deg,rgba(53,57,74,0) 0%,rgb(0,0,0) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='rgba(53, 57, 74, 0)',endColorstr='rgb(0, 0, 0)',GradientType=1 );
    }
    .login-top {
        font-size: 24px;
        padding-left: 40px;
        box-sizing: border-box;
        color: #fff;
        margin-bottom: 52px;
    }

    .login-center {
        width: 100%;
        box-sizing: border-box;
        padding: 0 40px;
        margin-bottom: 30px;
    }

    .login-center-img {
        width: 20px;
        height: 20px;
        float: left;
        margin-top: 5px;
    }

        .login-center-img > img {
            width: 100%;
        }

    .login-center-input {
        float: left;
        width: 230px;
        margin-left: 15px;
        height: 30px;
        position: relative;
    }

        .login-center-input input {
            z-index: 2;
            transition: all 0.5s;
            padding-left: 10px;
            color: #333333;
            width: 100%;
            height: 30px;
            border: 0;
            border-bottom: 1px solid #cccccc;
            border-top: 1px solid #ffffff;
            border-left: 1px solid #ffffff;
            border-right: 1px solid #ffffff;
            box-sizing: border-box;
            outline: none;
            position: relative;
        }

            .login-center-input input:focus {
                border: 1px solid dodgerblue;
            }

    .login-center-input-text {
        padding: 0 5px;
        position: absolute;
        z-index: 0;
        opacity: 0;
        height: 20px;
        top: 50%;
        margin-top: -10px;
        font-size: 14px;
        left: 5px;
        color: dodgerblue;
        line-height: 20px;
        transition: all 0.5s;
        -moz-transition: all 0.5s; /* Firefox 4 */
        -webkit-transition: all 0.5s; /* Safari 和 Chrome */
        -o-transition: all 0.5s; /* Opera */
    }

    .login-center-input input:focus ~ .login-center-input-text {
        top: -5px;
        z-index: 3;
        opacity: 1;
        margin-top: -15px;
    }

    .login.active {
        -webkit-animation: login-small 0.8s;
        animation: login-small 0.8s;
        animation-fill-mode: forwards;
        -webkit-animation-fill-mode: forwards
    }

    .login-button {
        text-align: center;
    }
}
   

    


